Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1515483 - Azure Smart State on Windows VM throwing error "undefined method `[]' for nil:NilClass" in evm.log
Summary: Azure Smart State on Windows VM throwing error "undefined method `[]' for nil...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: SmartState Analysis
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.8.3
Assignee: Jerry Keselman
QA Contact: Satyajit Bulage
URL:
Whiteboard: smartstate:azure:vm
Depends On: 1490488
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-20 21:33 UTC by Satoe Imaishi
Modified: 2018-02-28 13:09 UTC (History)
6 users (show)

Fixed In Version: 5.8.3.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1490488
Environment:
Last Closed: 2018-02-28 13:09:53 UTC
Category: ---
Cloudforms Team: CFME Core


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:0374 normal SHIPPED_LIVE Important: Red Hat CloudForms security, bug fix, and enhancement update 2018-02-28 18:04:37 UTC

Comment 2 CFME Bot 2017-11-28 19:48:30 UTC
New commit detected on ManageIQ/manageiq-gems-pending/fine:
https://github.com/ManageIQ/manageiq-gems-pending/commit/a106416e388fbe845c4ff67755e0444615228d65

commit a106416e388fbe845c4ff67755e0444615228d65
Author:     Richard Oliveri <oliveri.richard.github@gmail.com>
AuthorDate: Mon Nov 20 13:19:07 2017 -0500
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Tue Nov 28 14:36:57 2017 -0500

    Merge pull request #45 from jerryk55/dont_assume_software_node_has_attributes
    
    Don't assume xml node for software in the Registry has attributes
    (cherry picked from commit 7c0ce6569a06c60d42f7a717bf391dbcac1af49c)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1515483

 lib/gems/pending/metadata/util/win32/Win32Software.rb | 17 ++++++++---------
 1 file changed, 8 insertions(+), 9 deletions(-)

Comment 3 Jerry Keselman 2017-11-28 21:48:28 UTC
https://github.com/ManageIQ/manageiq-gems-pending/pull/316 fixes the Travis problem found because the fix for this used the Ruby 2.3 Safe Navigation operator which will not work when Travis uses Ruby 2.2.x.

Comment 4 Satyajit Bulage 2017-12-22 15:46:11 UTC
After performing SSA on windows instance without error it succeed.

Verified Version: 5.8.3.0.20171213193853_f1b4a89

Comment 7 errata-xmlrpc 2018-02-28 13:09:53 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0374


Note You need to log in before you can comment on or make changes to this bug.